Bug 1120000 - [DOCS] Pessimistic locking support by jBPM Engine
Summary: [DOCS] Pessimistic locking support by jBPM Engine
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Documentation
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR1
: 6.1.0
Assignee: brms-docs@redhat.com
QA Contact: Radovan Synek
Dawn Eisner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 04:26 UTC by Vikram Goyal
Modified: 2016-10-14 14:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Vikram Goyal 2014-07-16 04:26:33 UTC
Based on 6.1 PRD for BPMS: https://issues.jboss.org/browse/BPMSPL-67

Comment 1 Vikram Goyal 2014-10-14 06:13:19 UTC
This has now been documented in the Process Instance section here [1].

Moving this to ON_QA.

[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html-single/Administration_And_Configuration_Guide/index.html#Process_Instance

Comment 2 Radovan Synek 2015-01-02 16:29:06 UTC
Vikram,

please see my comments below:
"With the release of the 6.1 version of Red Hat JBoss BPM Suite, this can be changed at runtime to allow the user to set locking on a per process basis and to allow it to be pessimistic. "

In fact, this setting can be applied on kie session level (or runtime manager level, if you want), not process.

inside example box:
"env.set(USE_PESSIMISTIC_LOCKING, true);" should be env.set(EnvironmentName.USE_PESSIMISTIC_LOCKING, true);

This line of code however shows little about how to use the setting. User can hardly guess where to put this "env". Another line where the environment is used to create a runtime manager or kie session would be helpful.

Comment 3 Vikram Goyal 2015-01-06 02:34:33 UTC
Thanks Radovan:

1. Since I added this in the section for Process Instance, I only mentioned about applying this setting to the Process. I have made a side note about applying this on a KIE Session or Runtime Manager Level as well.

2. Thanks for the fix regarding the missing EnvironmentName. I have fixed that.

3. Added another line to specify how to use this enviroment to create a Runtime Manager.

This can now be verified here [1].

Putting this back on to ON_QA.

[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html-single/Administration_And_Configuration_Guide/index.html#Process_Instance

Comment 4 Radovan Synek 2015-03-16 14:56:55 UTC
Verified with BPMS-6.1.0 ER6


Note You need to log in before you can comment on or make changes to this bug.